Bug 1844479 - 1.19 rebase: openshift-apiserver API conversions break – devex API groups
Summary: 1.19 rebase: openshift-apiserver API conversions break – devex API groups
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard: no-qe
Depends On:
Blocks: 1844471
TreeView+ depends on / blocked
 
Reported: 2020-06-05 13:56 UTC by Stefan Schimanski
Modified: 2020-10-27 16:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1844471
Environment:
Last Closed: 2020-10-27 16:05:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 116 0 None closed Bug 1844479: Add custom conversion for binary builds 2020-09-07 13:01:00 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:05:49 UTC

Description Stefan Schimanski 2020-06-05 13:56:56 UTC
+++ This bug was initially created as a clone of Bug #1844471 +++

Description of problem:

https://github.com/openshift/openshift-apiserver/pull/95 describes a blocker for the 1.19 rebase of openshift-apiserver: upstream k8s.io/apiserver has removed reflection based conversions for performance and correctness reasons (the reflection based conversion was never completely correct). Openshift-apiserver makes use of the old behaviour and we have to fix all API groups.

This dependent bug is about the following devex API groups:

build.openshift.io
template.openshift.io

Comment 5 wewang 2020-07-14 09:19:43 UTC
Test builds especially binary build, no issues
Version: 
4.6.0-0.nightly-2020-07-13-203610

Comment 7 errata-xmlrpc 2020-10-27 16:05:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.